/*
# ---------------------------------------------------------------------
#
# Copyright (c) CREATIS (Centre de Recherche en Acquisition et Traitement de l'Image 
#                        pour la Sant)
# Authors : Eduardo Davila, Frederic Cervenansky, Claire Mouton
# Previous Authors : Laurent Guigues, Jean-Pierre Roux
# CreaTools website : www.creatis.insa-lyon.fr/site/fr/creatools_accueil
#
#  This software is governed by the CeCILL-B license under French law and 
#  abiding by the rules of distribution of free software. You can  use, 
#  modify and/ or redistribute the software under the terms of the CeCILL-B 
#  license as circulated by CEA, CNRS and INRIA at the following URL 
#  http://www.cecill.info/licences/Licence_CeCILL-B_V1-en.html 
#  or in the file LICENSE.txt.
#
#  As a counterpart to the access to the source code and  rights to copy,
#  modify and redistribute granted by the license, users are provided only
#  with a limited warranty  and the software's author,  the holder of the
#  economic rights,  and the successive licensors  have only  limited
#  liability. 
#
#  The fact that you are presently reading this means that you have had
#  knowledge of the CeCILL-B license and that you accept its terms.
# ------------------------------------------------------------------------
*/


#ifndef __creaImageIOSimpleView_h_INCLUDED__
#define __creaImageIOSimpleView_h_INCLUDED__


#include <boost/filesystem/path.hpp>
#include <boost/filesystem.hpp>
#include "boost/filesystem/fstream.hpp"
#include <boost/utility.hpp>
#include "creaImageIOImageReader.h"

namespace creaImageIO
{
	class SimpleView
	{
	public:
		/// Ctor
		SimpleView(){}

		///Dtor
		~SimpleView(){}
		
		/// read file(s) and return a vector of vtkImageData 
		bool readFile( std::vector<std::string> i_filenames, 												// in information names
										std::vector<std::string> i_attr,											// in information attributes names
										std::vector<std::map <std::string,std::string> > &i_imgAttr,	// out information attributes names-values
										std::vector< vtkImageData *> &i_img);									// out information vtkImageData

		/// read a directory and return a vector of vtkImageData 
		bool readDirectory(	const std::string i_pathname, 											// in information names
									std::vector<std::string> i_attr,											// in information attributes names
									std::vector<std::map <std::string , std::string> > &i_imgAttr,	// out information attributes names-values
									std::vector<vtkImageData *> &i_imgs);									// out information vtkImageData




	};
}

#endif
